# H460_MessageType Class Reference

`#include <h460.h>`

## Public Types

| e_gatekeeperRequest = 0xf0
| e_gatekeeperConfirm = 0xf1
| e_gatekeeperReject = 0xf2
| e_registrationRequest = 0xf3
| e_registrationConfirm = 0xf4
| e_registrationReject = 0xf5
| e_admissionRequest = 0xf6
| e_admissionConfirm = 0xf7
| e_admissionReject = 0xf8
| e_locationRequest = 0xf9
| e_locationConfirm = 0xfa
| e_locationReject = 0xfb
| e_nonStandardMessage = 0xfc
| e_serviceControlIndication = 0xfd
| e_serviceControlResponse = 0xfe
| e_unregistrationRequest = 0xe0
| e_inforequest = 0xe1
| e_inforequestresponse = 0xe2
| e_disengagerequest = 0xe3
| e_disengageconfirm = 0xe4
| e_setup = 0x05
| e_callProceeding = 0x02
| e_connect = 0x07
| e_alerting = 0x01
| e_facility = 0x62
| e_releaseComplete = 0x5a
| e_unallocated = 0xff

enum

{
e_gatekeeperRequest = 0xf0, e_gatekeeperConfirm = 0xf1, e_gatekeeperReject = 0xf2, e_registrationRequest = 0xf3,
e_registrationConfirm = 0xf4, e_registrationReject = 0xf5, e_admissionRequest = 0xf6, e_admissionConfirm = 0xf7,
e_admissionReject = 0xf8, e_locationRequest = 0xf9, e_locationConfirm = 0xfa, e_locationReject = 0xfb,
e_nonStandardMessage = 0xfc, e_serviceControlIndication = 0xfd, e_serviceControlResponse = 0xfe, e_unregistrationRequest = 0xe0,
e_inforequest = 0xe1, e_inforequestresponse = 0xe2, e_disengagerequest = 0xe3, e_disengageconfirm = 0xe4,
e_setup = 0x05, e_callProceeding = 0x02, e_connect = 0x07, e_alerting = 0x01,
e_facility = 0x62, e_releaseComplete = 0x5a, e_unallocated = 0xff
}

## Member Enumeration Documentation

anonymous enum

Enumerator:

  e_gatekeeperRequest |
  e_gatekeeperConfirm |
  e_gatekeeperReject |
  e_registrationRequest |
  e_registrationConfirm |
  e_registrationReject |
  e_admissionRequest |
  e_admissionConfirm |
  e_admissionReject |
  e_locationRequest |
  e_locationConfirm |
  e_locationReject |
  e_nonStandardMessage |
  e_serviceControlIndication |
  e_serviceControlResponse |
  e_unregistrationRequest |
  e_inforequest |
  e_inforequestresponse |
  e_disengagerequest |
  e_disengageconfirm |
  e_setup |
  e_callProceeding |
  e_connect |
  e_alerting |
  e_facility |
  e_releaseComplete |
  e_unallocated |

The documentation for this class was generated from the following file:

- h460.h